Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.connectionmanager
Class CachedConnectionManager

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.resource.connectionmanager.CachedConnectionManager

All Implemented Interfaces:
  CachedConnectionManagerMBean, EventListener, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.tm.usertx.client.ServerVMClientUserTransaction.UserTransactionStartedListener, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class CachedConnectionManager
extends org.jboss.system.ServiceMBeanSupport
implements org.jboss.tm.usertx.client.ServerVMClientUserTransaction.UserTransactionStartedListener, CachedConnectionManagerMBean

The CachedConnectionManager mbean manages associations between meta-aware objects (those accessed through interceptor chains) and connection handles, and between user transactions and connection handles. Normally there should only be one such mbean. It is called by CachedConnectionInterceptor, UserTransaction, and all BaseConnectionManager2 instances. Created: Sat Jan 5 18:50:27 2002

Version:
Author:
  David Jencks, Erwin Guib

Field Summary
`protected boolean` | `trace`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.resource.connectionmanager.CachedConnectionManagerMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`CachedConnectionManager()` Default CachedConnectionManager managed constructor for mbeans.

Method Summary
`CachedConnectionManager` | `getInstance()` The Instance attribute simply holds the current instance, which is normally the only instance of CachedConnectionManager.
`int` | `getInUseConnections()` Get the inuse connections
`javax.management.ObjectName` | `getTransactionManagerServiceName()` Get the TransactionManagerServiceName value.
`boolean` | `isDebug()` Get the debug value.
`boolean` | `isSpecCompliant()` Get the SpecCompliant value.
`Map` | `listInUseConnections()` List the inuse connections
`void` | `popMetaAwareObject(Set unsharableResources)` Describe `popMetaAwareObject` method here.
`void` | `pushMetaAwareObject(Object rawKey, Set unsharableResources)` Describe `pushMetaAwareObject` method here.
`void` | `setDebug(boolean value)` Set the Debug value.
`void` | `setSpecCompliant(boolean specCompliant)` Set the SpecCompliant value.
`void` | `setTransactionManagerServiceName(javax.management.ObjectName transactionManagerServiceName)` Set the TransactionManagerServiceName value.
`protected void` | `startService()`
`protected void` | `stopService()`
`void` | `userTransactionStarted()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### trace

    protected boolean trace

Constructor Detail

### CachedConnectionManager

    public CachedConnectionManager()

  Default CachedConnectionManager managed constructor for mbeans. Remember that this mbean should be a singleton.

Method Detail

### isSpecCompliant

    public boolean isSpecCompliant()

  Get the SpecCompliant value.

  Specified by:
    `isSpecCompliant` in interface `CachedConnectionManagerMBean`
  Returns:
    the SpecCompliant value.

### setSpecCompliant

    public void setSpecCompliant(boolean specCompliant)

  Set the SpecCompliant value.

  Specified by:
    `setSpecCompliant` in interface `CachedConnectionManagerMBean`
  Parameters:
    `specCompliant` - The new SpecCompliant value.

### isDebug

    public boolean isDebug()

  Get the debug value.

  Specified by:
    `isDebug` in interface `CachedConnectionManagerMBean`
  Returns:
    the debug value.

### setDebug

    public void setDebug(boolean value)

  Set the Debug value.

  Specified by:
    `setDebug` in interface `CachedConnectionManagerMBean`
  Parameters:
    `value` - The new debug value.

### getTransactionManagerServiceName

    public javax.management.ObjectName getTransactionManagerServiceName()

  Get the TransactionManagerServiceName value.

  Specified by:
    `getTransactionManagerServiceName` in interface `CachedConnectionManagerMBean`
  Returns:
    the TransactionManagerServiceName value.

### setTransactionManagerServiceName

    public void setTransactionManagerServiceName(javax.management.ObjectName transactionManagerServiceName)

  Set the TransactionManagerServiceName value.

  Specified by:
    `setTransactionManagerServiceName` in interface `CachedConnectionManagerMBean`
  Parameters:
    `transactionManagerServiceName` - The new TransactionManagerServiceName value.

### getInstance

    public CachedConnectionManager getInstance()

  The Instance attribute simply holds the current instance, which is normally the only instance of CachedConnectionManager.

  Specified by:
    `getInstance` in interface `CachedConnectionManagerMBean`
  Returns:
    a `CachedConnectionManager` value

### getInUseConnections

    public int getInUseConnections()

  Get the inuse connections

  Specified by:
    `getInUseConnections` in interface `CachedConnectionManagerMBean`
  Returns:
    the number of inuse connections

### listInUseConnections

    public Map listInUseConnections()

  List the inuse connections

  Specified by:
    `listInUseConnections` in interface `CachedConnectionManagerMBean`
  Returns:
    a map of connections to allocation stack traces

### startService

    protected void startService()
                         throws Exception

  Throws:
    `Exception`

### stopService

    protected void stopService()
                        throws Exception

  Throws:
    `Exception`

### pushMetaAwareObject

    public void pushMetaAwareObject(Object rawKey,
                                    Set unsharableResources)
                             throws javax.resource.ResourceException

  Describe `pushMetaAwareObject` method here. PUBLIC for TESTING PURPOSES ONLY!

  Throws:
    `javax.resource.ResourceException` - if an error occurs

### popMetaAwareObject

    public void popMetaAwareObject(Set unsharableResources)
                            throws javax.resource.ResourceException

  Describe `popMetaAwareObject` method here. PUBLIC for TESTING PURPOSES ONLY!

  Throws:
    `javax.resource.ResourceException` - if an error occurs

### userTransactionStarted

    public void userTransactionStarted()
                                throws SystemException

  Specified by:
    `userTransactionStarted` in interface `org.jboss.tm.usertx.client.ServerVMClientUserTransaction.UserTransactionStartedListener`
  Throws:
    `SystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.